## org.apache.commons.math.distribution
Interface PoissonDistribution

All Superinterfaces:
  DiscreteDistribution, Distribution, IntegerDistribution

All Known Implementing Classes:
  PoissonDistributionImpl

    public interface PoissonDistribution

extends IntegerDistribution

Interface representing the Poisson Distribution.

References:

- Poisson distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 07:53:44 -0500 (Tue, 09 Mar 2010) $

Method Summary
`double` `getMean()` Get the mean for the distribution.
`double` `normalApproximateProbability(int x)` Calculates the Poisson distribution function using a normal approximation.
`void` `setMean(double p)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution
`cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution
`probability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getMean

    double getMean()

  Get the mean for the distribution.

  Returns:
    the mean for the distribution.

### setMean

    @Deprecated
    void setMean(double p)

  Deprecated. as of v2.1

  Set the mean for the distribution. The parameter value must be positive; otherwise an `IllegalArgument` is thrown.

  Parameters:
    `p` - the mean
  Throws:
    `java.lang.IllegalArgumentException` - if p ≤ 0

### normalApproximateProbability

    double normalApproximateProbability(int x)
                                        throws MathException

  Calculates the Poisson distribution function using a normal approximation.

  Parameters:
    `x` - the upper bound, inclusive
  Returns:
    the distribution function value calculated using a normal approximation
  Throws:
    `MathException` - if an error occurs computing the normal approximation

Copyright (c) 2003-2010 Apache Software Foundation